Bug 391801 - Got this error when invoke discover update via recent apps > discover > right click > updates
Summary: Got this error when invoke discover update via recent apps > discover > right...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Updates (interactive) (show other bugs)
Version: 5.12.3
Platform: Neon Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-13 08:38 UTC by bliu
Modified: 2018-03-14 14:14 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
error (20.01 KB, image/png)
2018-03-13 08:38 UTC, bliu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bliu 2018-03-13 08:38:10 UTC
Created attachment 111362 [details]
error

When invoking the same via system > discover all runs correctly. I'm using application menu instead of default launcher.
Comment 1 Nate Graham 2018-03-13 16:03:16 UTC
That "%25F" in the command is the culprit. It looks like your version of KIO is erroneously percent-encoding the %F in the desktop file. What version of KDE Frameworks are you using?

Can you paste the output of the following command?

tail /usr/share/applications/org.kde.discover.desktop
Comment 2 ukhr 2018-03-14 13:05:40 UTC
(In reply to Nate Graham from comment #1)

> tail /usr/share/applications/org.kde.discover.desktop

Name[sr@ijekavianlatin]=Dopune
Name[sr@latin]=Dopune
Name[sv]=Uppdateringar
Name[tr]=Güncellemeler
Name[uk]=Оновлення
Name[x-test]=xxUpdatesxx
Name[zh_CN]=更新
Name[zh_TW]=更新
Icon=system-software-update
Exec=plasma-discover %F --mode update

I'm currently using 5.43 frameworks with neon stable.
Comment 3 Nate Graham 2018-03-14 13:39:57 UTC
Mine has the same.

I wonder Aleix, do we even need the %F in there for the update mode invocation?
Comment 4 Aleix Pol 2018-03-14 14:14:32 UTC
Git commit cc92bedbfa6bb99d9d819d3b6c5b478c1fc2ea83 by Aleix Pol.
Committed on 14/03/2018 at 14:13.
Pushed by apol into branch 'Plasma/5.12'.

No need to pass the extra arguments on the Update Action

M  +1    -1    discover/org.kde.discover.desktop.cmake

https://commits.kde.org/discover/cc92bedbfa6bb99d9d819d3b6c5b478c1fc2ea83